#include <stdio.h>
#include <string.h>
#include "disp.h"

extern char seplist[];

#define NR_DISP 2
extern struct dispfn term_fn, gnuplot_fn;
char term_id[] = "term";
char gnuplot_id[] = "gnuplot";
struct dfn_id {
	struct dispfn * dfn;
	char * strid;
};

struct dfn_id dfns[NR_DISP] = {
	{ &term_fn, term_id },
	{ &gnuplot_fn, gnuplot_id }
};

struct dispfn * disp_init() {
	char *ident;
	int i;
	ident = strtok((char *) NULL, seplist);
	if (ident)
		for (i = 0; i < NR_DISP; i++)
			if (strcmp(dfns[i].strid,ident) == 0)
				return dfns[i].dfn;
	fprintf(stderr,"Nieznany rodzaj terminala.\n");
	return (struct dispfn *) NULL;
}
